name: 'Oxford Proteox Plugin'
version: "0.1.0"
alias: "oxford-proteox"
creator: "d.brinkman-1@tudelft.nl"
description: "Collector plugin for the Oxford Proteox Fridges"
runtime:
  main: plugin.py
settings:
  base:
    connector_name:
      label: "Connector name"
      type: str
      required: false 
      description: "Unique name of the TCP dispatcher connector to the DecsVISA TCP server"
    remote_host:
      label: "Remote Host IP"
      type: str 
      required: true
      description: "IP-address of the DecsVISA TCP server"
    remote_port:
      label: "Remote Host Port"
      type: int
      required: true 
      description: "Port of the DecsVISA TCP server"
    data_groups:
      label: "Data groups"
      type: list 
  data_groups:
    group_label: 
      label: "Group label" 
      type: str
      required: true  
      description: "Unique name (per collector) of the data group"
    data_points:
      label: "Data points"
      type: list 
  data_points: 
    variable_name:
      label: "Variable name"
      type: str
      required: true
      description: "Variable name of the data point. Will be used when exporting data"
    unit:
      label: "Unit"
      type: str 
      required: false
      description: "Unit of the retrieved variable. SI-prefixes are understood"
    command_uri:
      label: "Command URI"
      type: str 
      required: true 
      description: "Command URI to be send to oi.Decs system"